Bug 307026 - korganizer crashes after start
Summary: korganizer crashes after start
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-19 09:00 UTC by Tomas Pospisek
Modified: 2012-11-28 23:23 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Pospisek 2012-09-19 09:00:15 UTC
Application: korganizer (4.8.5)
KDE Platform Version: 4.8.5 (4.8.5)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-30-generic x86_64
Distribution: Ubuntu 12.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed: Nothing, I just started korganizer, that's all, see more info below.

- Custom settings of the application: None as far as I know.

I've upgraded korganizer and the related kde libraries within Ubuntu Pangolin from 4:4.8.4a-0ubuntu0.3 to 4:4.8.5-0ubuntu0.1. Before korganizer would start "just fine" (slowly because of akonadi, but it did start).

I've also reported the bug to Ubuntu here: https://bugs.launchpad.net/ubuntu/+source/kdepim/+bug/1052813

This might be the same bug as https://bugs.kde.org/show_bug.cgi?id=298132 (although that's linux mint)

The crash can be reproduced every time.

-- Backtrace:
Application: KOrganizer (korganizer), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[KCrash Handler]
#6  0x00007f02ee097d9c in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#7  0x00007f02ee097edd in QSortFilterProxyModel::mapToSource(QModelIndex const&) const () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#8  0x00007f02ee09916d in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#9  0x00007f02ee09dc8f in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#10 0x00007f02ed105281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#11 0x00007f02ed151507 in QAbstractItemModel::dataChanged(QModelIndex const&, QModelIndex const&) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#12 0x00007f02eea8bec5 in ?? () from /usr/lib/libkorganizerprivate.so.4
#13 0x00007f02eea96759 in ?? () from /usr/lib/libkorganizerprivate.so.4
#14 0x00007f02eeaafbca in CalendarView::updateView(QDate const&, QDate const&, QDate const&, bool) () from /usr/lib/libkorganizerprivate.so.4
#15 0x00007f02eeaafc9a in CalendarView::updateView() () from /usr/lib/libkorganizerprivate.so.4
#16 0x00007f02eeac5712 in ?? () from /usr/lib/libkorganizerprivate.so.4
#17 0x00007f02ed105281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#18 0x00007f02e74b0185 in CalendarSupport::Calendar::Private::itemsAdded(QList<Akonadi::Item> const&) () from /usr/lib/libcalendarsupport.so.4
#19 0x00007f02e74b039d in CalendarSupport::Calendar::Private::rowsInserted(QModelIndex const&, int, int) () from /usr/lib/libcalendarsupport.so.4
#20 0x00007f02ed105281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#21 0x00007f02ed151644 in QAbstractItemModel::rowsInserted(QModelIndex const&, int, int) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#22 0x00007f02ed0eb02d in QAbstractItemModel::endInsertRows() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#23 0x00007f02ee098cf7 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#24 0x00007f02ee09ce33 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#25 0x00007f02ee09d14f in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#26 0x00007f02ed105281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#27 0x00007f02ed151644 in QAbstractItemModel::rowsInserted(QModelIndex const&, int, int) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#28 0x00007f02ed0eb02d in QAbstractItemModel::endInsertRows() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#29 0x00007f02efbb6981 in ?? () from /usr/lib/libkdeui.so.5
#30 0x00007f02ed105281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#31 0x00007f02ed151644 in QAbstractItemModel::rowsInserted(QModelIndex const&, int, int) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#32 0x00007f02ed0eb02d in QAbstractItemModel::endInsertRows() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#33 0x00007f02e8891ea0 in ?? () from /usr/lib/libakonadi-kde.so.4
#34 0x00007f02e8892703 in ?? () from /usr/lib/libakonadi-kde.so.4
#35 0x00007f02ed105281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#36 0x00007f02e88b7f22 in Akonadi::ItemFetchJob::itemsReceived(QList<Akonadi::Item> const&) () from /usr/lib/libakonadi-kde.so.4
#37 0x00007f02e88b8fdc in ?? () from /usr/lib/libakonadi-kde.so.4
#38 0x00007f02ed105281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#39 0x00007f02ed10a179 in QObject::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#40 0x00007f02edaea894 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#41 0x00007f02edaef713 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#42 0x00007f02efbc73f6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#43 0x00007f02ed0f0e9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#44 0x00007f02ed1221f2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#45 0x00007f02ed11fc0d in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#46 0x00007f02e6351d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#47 0x00007f02e63520a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#48 0x00007f02e6352164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#49 0x00007f02ed1203bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#50 0x00007f02edb92d5e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#51 0x00007f02ed0efc82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#52 0x00007f02ed0efed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#53 0x00007f02ed0f4f67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#54 0x0000000000407df6 in ?? ()
#55 0x00007f02ec6c476d in __libc_start_main () from /lib/x86_64-linux-gnu/libc.so.6
#56 0x0000000000408141 in _start ()

Possible duplicates by query: bug 304849, bug 304848, bug 286229.

Reported using DrKonqi
Comment 1 Tomas Pospisek 2012-09-19 09:32:10 UTC
Here's the stacktrace with some symbols visible. I get this after installing the following *-dbg packages from Ubuntu: libqt4-dbg akonadi-dbg kde-runtime-dbg kdepim-runtime-dbg.

Application: KOrganizer (korganizer), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[KCrash Handler]
#6  size (this=0x51) at ../../include/QtCore/../../src/corelib/tools/qvector.h:137
#7  QSortFilterProxyModelPrivate::proxy_to_source (this=0x126d6a0, proxy_index=...) at itemviews/qsortfilterproxymodel.cpp:370
#8  0x00007f03fc1a5edd in QSortFilterProxyModel::mapToSource (this=<optimized out>, proxyIndex=...) at itemviews/qsortfilterproxymodel.cpp:2502
#9  0x00007f03fc1a716d in QSortFilterProxyModelPrivate::store_persistent_indexes (this=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:996
#10 0x00007f03fc1abc8f in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x126d6a0, source_top_left=..., source_bottom_right=...) at itemviews/qsortfilterproxymodel.cpp:1160
#11 0x00007f03fb213281 in QMetaObject::activate (sender=0x124b520, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff31c38420) at kernel/qobject.cpp:3547
#12 0x00007f03fb25f507 in QAbstractItemModel::dataChanged (this=<optimized out>, _t1=..., _t2=...) at .moc/release-shared/moc_qabstractitemmodel.cpp:164
#13 0x00007f03fcb99ec5 in ?? () from /usr/lib/libkorganizerprivate.so.4
#14 0x00007f03fcba4759 in ?? () from /usr/lib/libkorganizerprivate.so.4
#15 0x00007f03fcbbdbca in CalendarView::updateView(QDate const&, QDate const&, QDate const&, bool) () from /usr/lib/libkorganizerprivate.so.4
#16 0x00007f03fcbbdc9a in CalendarView::updateView() () from /usr/lib/libkorganizerprivate.so.4
#17 0x00007f03fcbd3712 in ?? () from /usr/lib/libkorganizerprivate.so.4
#18 0x00007f03fb213281 in QMetaObject::activate (sender=0x13b1490, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#19 0x00007f03f55be185 in CalendarSupport::Calendar::Private::itemsAdded(QList<Akonadi::Item> const&) () from /usr/lib/libcalendarsupport.so.4
#20 0x00007f03f55be39d in CalendarSupport::Calendar::Private::rowsInserted(QModelIndex const&, int, int) () from /usr/lib/libcalendarsupport.so.4
#21 0x00007f03fb213281 in QMetaObject::activate (sender=0x13b4380, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff31c38ba0) at kernel/qobject.cpp:3547
#22 0x00007f03fb25f644 in QAbstractItemModel::rowsInserted (this=<optimized out>, _t1=..., _t2=641, _t3=810) at .moc/release-shared/moc_qabstractitemmodel.cpp:197
#23 0x00007f03fb1f902d in QAbstractItemModel::endInsertRows (this=0x13b4380) at kernel/qabstractitemmodel.cpp:2433
#24 0x00007f03fc1a6cf7 in QSortFilterProxyModelPrivate::insert_source_items (this=0x13b43a0, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., orient=Qt::Vertical, emit_signal=true) at itemviews/qsortfilterproxymodel.cpp:695
#25 0x00007f03fc1aae33 in QSortFilterProxyModelPrivate::source_items_inserted (this=0x13b43a0, source_parent=..., start=<optimized out>, end=<optimized out>, orient=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:806
#26 0x00007f03fc1ab14f in QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x13b43a0, source_parent=..., start=<optimized out>, end=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:1280
#27 0x00007f03fb213281 in QMetaObject::activate (sender=0x13b3bb0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff31c38f00) at kernel/qobject.cpp:3547
#28 0x00007f03fb25f644 in QAbstractItemModel::rowsInserted (this=<optimized out>, _t1=..., _t2=641, _t3=810) at .moc/release-shared/moc_qabstractitemmodel.cpp:197
#29 0x00007f03fb1f902d in QAbstractItemModel::endInsertRows (this=0x13b3bb0) at kernel/qabstractitemmodel.cpp:2433
#30 0x00007f03fdcc4981 in KSelectionProxyModelPrivate::sourceRowsInserted (this=0x13b3cf0, parent=..., start=<optimized out>, end=<optimized out>) at ../../kdeui/itemviews/kselectionproxymodel.cpp:1045
#31 0x00007f03fb213281 in QMetaObject::activate (sender=0x1356590, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff31c39100) at kernel/qobject.cpp:3547
#32 0x00007f03fb25f644 in QAbstractItemModel::rowsInserted (this=<optimized out>, _t1=..., _t2=641, _t3=810) at .moc/release-shared/moc_qabstractitemmodel.cpp:197
#33 0x00007f03fb1f902d in QAbstractItemModel::endInsertRows (this=0x1356590) at kernel/qabstractitemmodel.cpp:2433
#34 0x00007f03f699fea0 in ?? () from /usr/lib/libakonadi-kde.so.4
#35 0x00007f03f69a0703 in ?? () from /usr/lib/libakonadi-kde.so.4
#36 0x00007f03fb213281 in QMetaObject::activate (sender=0x156b430, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff31c394b0) at kernel/qobject.cpp:3547
#37 0x00007f03f69c5f22 in Akonadi::ItemFetchJob::itemsReceived(QList<Akonadi::Item> const&) () from /usr/lib/libakonadi-kde.so.4
#38 0x00007f03f69c6fdc in ?? () from /usr/lib/libakonadi-kde.so.4
#39 0x00007f03fb213281 in QMetaObject::activate (sender=0x156b5e0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#40 0x00007f03fb218179 in QObject::event (this=0x156b5e0, e=<optimized out>) at kernel/qobject.cpp:1157
#41 0x00007f03fbbf8894 in notify_helper (e=0x7fff31c39cb0, receiver=0x156b5e0, this=0xecdd40) at kernel/qapplication.cpp:4559
#42 QApplicationPrivate::notify_helper (this=0xecdd40, receiver=0x156b5e0, e=0x7fff31c39cb0) at kernel/qapplication.cpp:4531
#43 0x00007f03fbbfd713 in QApplication::notify (this=0x7fff31c39f60, receiver=0x156b5e0, e=0x7fff31c39cb0) at kernel/qapplication.cpp:4420
#44 0x00007f03fdcd53f6 in KApplication::notify (this=0x7fff31c39f60, receiver=0x156b5e0, event=0x7fff31c39cb0) at ../../kdeui/kernel/kapplication.cpp:311
#45 0x00007f03fb1fee9c in QCoreApplication::notifyInternal (this=0x7fff31c39f60, receiver=0x156b5e0, event=0x7fff31c39cb0) at kernel/qcoreapplication.cpp:876
#46 0x00007f03fb2301f2 in sendEvent (event=0x7fff31c39cb0, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#47 QTimerInfoList::activateTimers (this=0xecf460) at kernel/qeventdispatcher_unix.cpp:611
#48 0x00007f03fb22dc0d in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:186
#49 timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:180
#50 0x00007f03f445fd53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#51 0x00007f03f44600a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#52 0x00007f03f4460164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#53 0x00007f03fb22e3bf in QEventDispatcherGlib::processEvents (this=0xe7bc10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#54 0x00007f03fbca0d5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#55 0x00007f03fb1fdc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#56 0x00007f03fb1fded7 in QEventLoop::exec (this=0x7fff31c39f10, flags=...) at kernel/qeventloop.cpp:204
#57 0x00007f03fb202f67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#58 0x0000000000407df6 in ?? ()
#59 0x00007f03fa7d276d in __libc_start_main (main=0x407780, argc=1, ubp_av=0x7fff31c3a2a8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff31c3a298) at libc-start.c:226
#60 0x0000000000408141 in _start ()
Comment 2 Tomas Pospisek 2012-09-19 12:43:03 UTC
Downgrading korganizer from 4:4.8.5-0ubuntu0.1 back to the previous 4:4.8.4a-0ubuntu0.3 fixed the segfault.

In order to reach a consistent package dependency state, I also had to downgrade the following kde libraries (to the same versions as korganizer):

libcalendarsupport4 
libeventviews4
libincidenceeditorsng4
libkdepim4
libkdepimdbusinterfaces4
libkdgantt2
Comment 3 Sergio Martins 2012-09-19 21:10:52 UTC
Debug symbols for libkorganizerprivate.so.4 would be nice.
If you manage to reproduce this some day, please paste a new backtrace.
Comment 4 Tomas Pospisek 2012-09-26 07:00:31 UTC
OK, here we go with debugging symbols for libkorganizerprivate.so.4. The stacktrace now has complete symbol coverage:

Application: KOrganizer (korganizer), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[KCrash Handler]
#6  size (this=0x21) at ../../include/QtCore/../../src/corelib/tools/qvector.h:137
#7  QSortFilterProxyModelPrivate::proxy_to_source (this=0x13eaba0, proxy_index=...) at itemviews/qsortfilterproxymodel.cpp:370
#8  0x00007fc7cba66edd in QSortFilterProxyModel::mapToSource (this=<optimized out>, proxyIndex=...) at itemviews/qsortfilterproxymodel.cpp:2502
#9  0x00007fc7cba6816d in QSortFilterProxyModelPrivate::store_persistent_indexes (this=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:996
#10 0x00007fc7cba6cc8f in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x13eaba0, source_top_left=..., source_bottom_right=...) at itemviews/qsortfilterproxymodel.cpp:1160
#11 0x00007fc7caad4281 in QMetaObject::activate (sender=0x142e940, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff533c3d80) at kernel/qobject.cpp:3547
#12 0x00007fc7cab20507 in QAbstractItemModel::dataChanged (this=<optimized out>, _t1=..., _t2=...) at .moc/release-shared/moc_qabstractitemmodel.cpp:164
#13 0x00007fc7cc45aec5 in KOTodoModel::reloadTodos (this=0x142e940) at ../../korganizer/views/todoview/kotodomodel.cpp:264
#14 0x00007fc7cc465759 in KOTodoView::updateView (this=0x13988c0) at ../../korganizer/views/todoview/kotodoview.cpp:432
#15 0x00007fc7cc47ebca in CalendarView::updateView (this=0x13696f0, start=..., end=..., preferredMonth=..., updateTodos=true) at ../../korganizer/calendarview.cpp:864
#16 0x00007fc7cc47ec9a in CalendarView::updateView (this=0x13696f0) at ../../korganizer/calendarview.cpp:882
#17 0x00007fc7cc494712 in CalendarView::qt_static_metacall (_o=0x13696f0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at ./calendarview.moc:574
#18 0x00007fc7caad4281 in QMetaObject::activate (sender=0x15a60f0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#19 0x00007fc7c4e7f185 in CalendarSupport::Calendar::Private::itemsAdded (this=0x15a9d90, items=...) at ../../calendarsupport/calendar.cpp:523
#20 0x00007fc7c4e7f39d in CalendarSupport::Calendar::Private::rowsInserted (this=0x15a9d90, parent=..., start=<optimized out>, end=<optimized out>) at ../../calendarsupport/calendar.cpp:123
#21 0x00007fc7caad4281 in QMetaObject::activate (sender=0x15a9200, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff533c4500) at kernel/qobject.cpp:3547
#22 0x00007fc7cab20644 in QAbstractItemModel::rowsInserted (this=<optimized out>, _t1=..., _t2=675, _t3=810) at .moc/release-shared/moc_qabstractitemmodel.cpp:197
#23 0x00007fc7caaba02d in QAbstractItemModel::endInsertRows (this=0x15a9200) at kernel/qabstractitemmodel.cpp:2433
#24 0x00007fc7cba67cf7 in QSortFilterProxyModelPrivate::insert_source_items (this=0x15a9220, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., orient=Qt::Vertical, emit_signal=true) at itemviews/qsortfilterproxymodel.cpp:695
#25 0x00007fc7cba6be33 in QSortFilterProxyModelPrivate::source_items_inserted (this=0x15a9220, source_parent=..., start=<optimized out>, end=<optimized out>, orient=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:806
#26 0x00007fc7cba6c14f in QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x15a9220, source_parent=..., start=<optimized out>, end=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:1280
#27 0x00007fc7caad4281 in QMetaObject::activate (sender=0x15a8a30, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff533c4860) at kernel/qobject.cpp:3547
#28 0x00007fc7cab20644 in QAbstractItemModel::rowsInserted (this=<optimized out>, _t1=..., _t2=675, _t3=810) at .moc/release-shared/moc_qabstractitemmodel.cpp:197
#29 0x00007fc7caaba02d in QAbstractItemModel::endInsertRows (this=0x15a8a30) at kernel/qabstractitemmodel.cpp:2433
#30 0x00007fc7cd585981 in KSelectionProxyModelPrivate::sourceRowsInserted (this=0x15a8b70, parent=..., start=<optimized out>, end=<optimized out>) at ../../kdeui/itemviews/kselectionproxymodel.cpp:1045
#31 0x00007fc7caad4281 in QMetaObject::activate (sender=0x154b050, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff533c4a60) at kernel/qobject.cpp:3547
#32 0x00007fc7cab20644 in QAbstractItemModel::rowsInserted (this=<optimized out>, _t1=..., _t2=675, _t3=810) at .moc/release-shared/moc_qabstractitemmodel.cpp:197
#33 0x00007fc7caaba02d in QAbstractItemModel::endInsertRows (this=0x154b050) at kernel/qabstractitemmodel.cpp:2433
#34 0x00007fc7c6260ea0 in Akonadi::EntityTreeModelPrivate::itemsFetched (this=0x154b190, collectionId=17, items=...) at ../../akonadi/entitytreemodel_p.cpp:578
#35 0x00007fc7c6261703 in Akonadi::EntityTreeModelPrivate::itemsFetched (this=0x154b190, items=...) at ../../akonadi/entitytreemodel_p.cpp:490
#36 0x00007fc7caad4281 in QMetaObject::activate (sender=0x177b6b0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff533c4e10) at kernel/qobject.cpp:3547
#37 0x00007fc7c6286f22 in Akonadi::ItemFetchJob::itemsReceived (this=<optimized out>, _t1=...) at ./itemfetchjob.moc:106
#38 0x00007fc7c6287fdc in timeout (this=0x10ac9e0) at ../../akonadi/itemfetchjob.cpp:71
#39 Akonadi::ItemFetchJob::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at ./itemfetchjob.moc:57
#40 0x00007fc7caad4281 in QMetaObject::activate (sender=0x177b7e0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#41 0x00007fc7caad9179 in QObject::event (this=0x177b7e0, e=<optimized out>) at kernel/qobject.cpp:1157
#42 0x00007fc7cb4b9894 in notify_helper (e=0x7fff533c5610, receiver=0x177b7e0, this=0x10c0e00) at kernel/qapplication.cpp:4559
#43 QApplicationPrivate::notify_helper (this=0x10c0e00, receiver=0x177b7e0, e=0x7fff533c5610) at kernel/qapplication.cpp:4531
#44 0x00007fc7cb4be713 in QApplication::notify (this=0x7fff533c58c0, receiver=0x177b7e0, e=0x7fff533c5610) at kernel/qapplication.cpp:4420
#45 0x00007fc7cd5963f6 in KApplication::notify (this=0x7fff533c58c0, receiver=0x177b7e0, event=0x7fff533c5610) at ../../kdeui/kernel/kapplication.cpp:311
#46 0x00007fc7caabfe9c in QCoreApplication::notifyInternal (this=0x7fff533c58c0, receiver=0x177b7e0, event=0x7fff533c5610) at kernel/qcoreapplication.cpp:876
#47 0x00007fc7caaf11f2 in sendEvent (event=0x7fff533c5610, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#48 QTimerInfoList::activateTimers (this=0x10c2af0) at kernel/qeventdispatcher_unix.cpp:611
#49 0x00007fc7caaeec0d in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:186
#50 timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:180
#51 0x00007fc7c3d20d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#52 0x00007fc7c3d210a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#53 0x00007fc7c3d21164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#54 0x00007fc7caaef3bf in QEventDispatcherGlib::processEvents (this=0x106ec10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#55 0x00007fc7cb561d5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#56 0x00007fc7caabec82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#57 0x00007fc7caabeed7 in QEventLoop::exec (this=0x7fff533c5870, flags=...) at kernel/qeventloop.cpp:204
#58 0x00007fc7caac3f67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#59 0x0000000000407df6 in main (argc=<optimized out>, argv=<optimized out>) at ../../korganizer/main.cpp:67
Comment 5 Sergio Martins 2012-11-28 23:23:41 UTC
Fixed, will be in 4.11.